Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02170 Crash/Freeze Minor Always Aug 28, 2008, 18:32 Jul 6, 2018, 03:56
Tester Luigi30 View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Open OS
Status [?] Confirmed Driver usgames.cpp
Version 0.127 Fixed in Version Build
Summary 02170: usg32: usg32 freezes when trying to edit banner with keyboard attached
Description usg32 freezes up when you try to edit the banner, waiting for keyboard input that never comes since the keyboard's not hooked up in the driver.
Steps To Reproduce 1. Start up usg32 and set the keyboard to attached in the switches menu.
2. Go to test mode and try to edit the banner.
3. Watch it go into a loop in the debugger.
Additional Information It's caused by code at $9F2D:

9F2D LDA $2000
9F30 ANDA #$01
9F32 BEQ $9F2D
9F34 JSR $9F56
9F37 JSR $9F56
9F3A JSR $9F56
[...]
9F56 LDX #$01D2
9F59 LEAX -$1,X
9F5B BNE $9F59
9F5D RTS

It's trying to read from the input port at $2000 and going into an infinite loop waiting for ANDA #$01 to be false, meaning the keyboard would be unplugged. But once that happens, it goes into another loop jumping between some other addresses waiting for input and still doesn't work until you either F3 or hard reset the game.
Flags
Regression Version
Affected Sets / Systems usg32
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.15237
NekoEd
Senior Tester
Jul 1, 2018, 01:49
Whoops, jumped the gun, sorry.
User avatar
No.15239
Robbbert
Developer
Jul 4, 2018, 07:41
edited on: Jul 4, 2018, 07:42
Who resolved this? It's not assigned to anyone.
There's no "fixed-in" version either.
User avatar
No.15240
NekoEd
Senior Tester
Jul 5, 2018, 07:24
I initially made an error and resolved it prematurely, then returned it to it's previous state. M.A.S.H. has marked it resolved this time, so you'd have to ask them.
User avatar
No.15241
M.A.S.H.
Senior Tester
Jul 5, 2018, 08:48
edited on: Jul 5, 2018, 08:48
Hey, Hey... In the "Issue History" of this bug you can see that you changed the Resolution to 'Fixed' and
the Status to 'Resolved', then to 'Acknowledged' and then to 'Confirmed'. I thought you had made an input
mistake and therefore I changed the Status to 'Resolved' again.
User avatar
No.15244
NekoEd
Senior Tester
Jul 6, 2018, 03:56
Ah, yeah, I was having a bad day, sorry about that! >.<